"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""


async def tasks(hub, ctx, org: str, task: str, action: str = None) -> None:
    """
    **Autogenerated function**
    
    Request that a running task be canceled.
    This is advisory only, some tasks may not be cancelable, and some tasks might take
    an arbitrary amount of time to respond to a cancelation request. The task must be monitored
    to determine subsequent status.

    Args:
        org(str): Organization identifier.
        task(str): Task identifier.
        action(str, optional): If = 'cancel', task will be canceled. Defaults to None.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.task.tasks(ctx, org=value, task=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.task.tasks org=value, task=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="post",
        path=ctx.acct.endpoint_url + "/orgs/{org}/tasks/{task}".format(**{"org": org, "task": task}),
        query_params={"action": action},
        data={}
    )

